Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpContentPublishingQueueProcessor Member List

This is the complete list of members for ezpContentPublishingQueueProcessor, including all inherited members.

$allowedPublishingSlots | ezpContentPublishingQueueProcessor | private
$canProcess | ezpContentPublishingQueueProcessor | private
$cleanupAgeLimit | ezpContentPublishingQueueProcessor | private
$cleanupInterval | ezpContentPublishingQueueProcessor | private
$cleanupLastTime | ezpContentPublishingQueueProcessor | private
$contentINI | ezpContentPublishingQueueProcessor | private
$currentJobs | ezpContentPublishingQueueProcessor | private
$instance | ezpContentPublishingQueueProcessor | private static
$lastRefreshTimestamp | ezpContentPublishingQueueProcessor | private
$out | ezpContentPublishingQueueProcessor | private
$queueReader | ezpContentPublishingQueueProcessor | private
$signalHandler | ezpContentPublishingQueueProcessor | private
$signalQueue | ezpContentPublishingQueueProcessor |
$sleepInterval | ezpContentPublishingQueueProcessor |
__construct() | ezpContentPublishingQueueProcessor |
_terminate() | ezpContentPublishingQueueProcessor | private
childSignalHandler( $signo, $pid=null, $status=null) | ezpContentPublishingQueueProcessor |
cleanupDeadProcesses() | ezpContentPublishingQueueProcessor | private
cleanupFinishedProcesses() | ezpContentPublishingQueueProcessor | private
getNextItem() | ezpContentPublishingQueueProcessor | private
instance() | ezpContentPublishingQueueProcessor | static
isSlotAvailable() | ezpContentPublishingQueueProcessor | private
refreshCacheStateInfo() | ezpContentPublishingQueueProcessor | private
registerSignalHandler() | ezpContentPublishingQueueProcessor | private
setOutput(ezpAsynchronousPublisherOutput $output) | ezpContentPublishingQueueProcessor |
setSignalHandler( $signalHandler) | ezpContentPublishingQueueProcessor |
terminate() | ezpContentPublishingQueueProcessor | static

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.